org.apache.cassandra.db

## Class Directories.DataDirectory

- java.lang.Object
- - org.apache.cassandra.db.Directories.DataDirectory

Enclosing class:
  Directories

    public static class Directories.DataDirectory
    extends java.lang.Object

### Field Summary

Fields
`java.io.File` `location`

### Constructor Summary

Constructors
Constructor and Description
`DataDirectory(java.io.File location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`long` `getAvailableSpace()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### location

    public final java.io.File location

### Constructor Detail

#### DataDirectory

    public DataDirectory(java.io.File location)

### Method Detail

#### getAvailableSpace

    public long getAvailableSpace()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`